# std::isgreater

From cppreference.com
< cpp‎ | numeric‎ | math

Defined in header `<cmath>` |  |
bool isgreater( float x, float y ); | (1) | (since C++11)
bool isgreater( double x, double y ); | (2) | (since C++11)
bool isgreater( long double x, long double y ); | (3) | (since C++11)
bool isgreater( Arithmetic x, Arithmetic y ); | (4) | (since C++11)

1-3) Determines if the floating point number `x` is greater than the floating-point number (`y`), without setting floating-point exceptions.
4) A set of overloads or a function template for all combinations of arguments of arithmetic type not covered by (1-3). If any argument has integral type, it is cast to double.

### Parameters

x | - | floating point value
y | - | floating point value

### Return value

true if x > y, false otherwise

### Notes

The built-in operator> for floating-point numbers may set FE_INVALID if one or both of the arguments is NaN. This function is a "quiet" version of operator>.

### See also

greater | function object implementing x > y (class template)
isless (C++11) | checks if the first floating-point argument is less than the second (function)
C documentation for isgreater

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/numeric/math/isgreater&oldid=73096"